bootimage opsi-linux correction dans stable et testing

Ce forum est dédié au nouveautés, événements autour du projet Opsi
otto
Beiträge: 74
Registriert: 08 Aug 2017, 12:16

bootimage opsi-linux correction dans stable et testing

Beitragvon otto » 08 Nov 2019, 15:14

Chers utilisateurs d'opsi,

avec la sortie d'hier du bootimage opsi-linux dans stable et testing, il reste encore une petite négligence dans le paquet.
Pendant la publication, le Pre ou Postinst a supposé qu'il trouve le fichier'install-grub-x64', ce qui n'était pas le cas pour les installations avec opsi-linux-bootimage >= 20190805-3.

Maintenant un opsi-linux-bootimage avec la version 20191015-3 comme correctif est disponible dans stable et testing. Cette correction vérifie si le fichier existe et n'effectue les opérations correspondantes qu'ensuite.

b]Note[/b] : Si vous avez créé le fichier /tftpboot/linux/pxelinux.cfg/install-grub-x64 pour le paquet défectueux pour effectuer une mise à jour, vous devez renommer le fichier pxelinux.cfg/install-grub-x64.opsi après avoir mis à jour la correction pour avoir un pipe template correct pour l'extension de démarrage sécurisé. Le fichier pxelinux.cfg/install-grub-x64.opsi est toujours reconstruit à partir du modèle install-grub-x64 fourni par le paquet.

Nous nous excusons pour cet inconvénient !

Meilleures salutations
mathias


changelog:

Code: Alles auswählen

opsi-linux-bootimage (20191015-3) testing; urgency=medium

  * corrected pre/postinst behaviour

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 18 Oct 2019 09:31:14 +0200